%define _use_internal_dependency_generator 0
%define _pkgname nkf203

Summary: Perl extension for Network Kanji Filter
Name: perl-NKF
Version: 2.03
Release: 1AX
License: BSD
Group: Applications/Text
Source: http://www.ie.u-ryukyu.ac.jp/~kono/nkf/dist/%{_pkgname}.tar
Patch: nkf203-makefile.patch
BuildPreReq: perl >= 5.8.0
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
This is a Perl Extension version of nkf (Netowrk Kanji Filter ) 2.03.
It converts the last argument and return converted result. Conversion
details are specified by flags before the last argument.

%prep
%setup -q -n %{_pkgname}
%patch -p1 -b .perl580

%build
## We have nkf with another package. so it's no longer needed.
#make CC="gcc" CFLAGS="$RPM_OPT_FLAGS" PERL="perl" nkf perl
#./nkf -e -O nkf.1j
#mv nkf.out nkf.1j
#gzip -9 nkf.1 nkf.1j
(cd NKF.mod;
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor
)

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

## We have nkf with another package. so it's no longer needed.
#for i in %{_bindir} %{_mandir}/man1 %{_mandir}/ja/man1; do
#	%{__mkdir_p} $RPM_BUILD_ROOT$i
#done
#
#%{__install} -m 755 nkf $RPM_BUILD_ROOT%{_bindir}
#%{__install} -m 644 nkf.1.gz $RPM_BUILD_ROOT%{_mandir}/man1
#%{__install} -m 644 nkf.1j.gz $RPM_BUILD_ROOT%{_mandir}/ja/man1/nkf.1.gz
(cd NKF.mod;
eval `perl '-V:installarchlib'`
eval `perl '-V:installvendorarch'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make install
rm -f $RPM_BUILD_ROOT/$installarchlib/perllocal.pod
rm -f $RPM_BUILD_ROOT/$installvendorarch/auto/NKF/NKF.bs
)

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/perl5/vendor_perl/*/*-linux-*/NKF.pm
%{_libdir}/perl5/vendor_perl/*/*-linux-*/auto
%{_mandir}/man3/NKF.3pm.gz

%changelog
* Wed May 12 2004 Shiro Yamada <shiro@miraclelinux.com> 2.03-1AX
- promoting the base code to 2.03

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sat Dec 14 2002 Tim Powers <timp@redhat.com> 1.71-9
- don't use rpms internal dep generator

* Thu Oct 24 2002 Akira TAGOH <tagoh@redhat.com> 1.71-8
- build for x86_64, because namazu requires this package.
- use the appripriate macros.
- s/Copyright/License/
- move site_perl to vendor_perl.

* Thu Aug 15 2002 Tim Powers <timp@redhat.com>
- fix file list so that man pages are picked up from the correct place

* Mon Jun 24 2002 Yukihiro Nakai <ynakai@redhat.com>
- Add perl 5.8.0 fix (#67001)

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Mon Aug 07 2000 Yukihiro Nakai <ynakai@redhat.com>
- Initial release
